## opm-simulators 2023.04+ds

=== CMakeLists.txt ===
###########################################################################
#                                                                         #
# Note: The bulk of the build system is located in the cmake/ directory.  #
#       This file only contains the specializations for this particular   #
#       project. Most likely you are interested in editing one of these   #
#       files instead:                                                    #
#                                                                         #
#       dune.module                              Name and version number  #
#       CMakeLists_files.cmake                   Path of source files     #
#       cmake/Modules/${project}-prereqs.cmake   Dependencies             #
#                                                                         #
###########################################################################

# Mandatory call to project

project(opm-simulators C CXX)

cmake_minimum_required (VERSION 3.10)


option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
set( USE_OPENMP_DEFAULT OFF ) # Use of OpenMP is considered experimental
option(BUILD_FLOW "Build the production oriented flow simulator?" ON)
option(BUILD_FLOW_VARIANTS "Build the variants for flow by default?" OFF)
option(BUILD_FLOW_POLY_GRID "Build flow blackoil with polyhedral grid" OFF)
option(OPM_ENABLE_PYTHON "Enable python bindings?" OFF)
option(OPM_ENABLE_PYTHON_TESTS "Enable tests for the python bindings?" ON)
option(OPM_INSTALL_PYTHON "Install python bindings?" ON)
option(USE_CHOW_PATEL_ILU "Use the iterative ILU by Chow and Patel?" OFF)
option(USE_CHOW_PATEL_ILU_GPU "Run iterative ILU decomposition on GPU? Requires USE_CHOW_PATEL_ILU" OFF)
option(USE_CHOW_PATEL_ILU_GPU_PARALLEL "Try to use more parallelism on the GPU during the iterative ILU decomposition? Requires USE_CHOW_PATEL_ILU_GPU" OFF)
option(BUILD_FLOW_ALU_GRID "Build flow blackoil with alu grid" OFF)
option(USE_DAMARIS_LIB "Use the Damaris library for asynchronous I/O?" OFF)

# The following was copied from CMakeLists.txt in opm-common.
# TODO: factor out the common parts in opm-common and opm-simulator as a cmake module
if (OPM_ENABLE_PYTHON)
  # We need to be compatible with older CMake versions
  # that do not offer FindPython3
  # e.g. Ubuntu LTS 18.04 uses cmake 3.10
  if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
    find_package(PythonInterp REQUIRED)
    if(PYTHON_VERSION_MAJOR LESS 3)
      message(SEND_ERROR "OPM requires version 3 of Python but only version ${PYTHON_VERSION_STRING} was found")
    endif()
    set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
    set(Python3_LIBRARIES ${PYTHON_LIBRARIES})
    set(Python3_VERSION "${PYTHON_VERSION_STRING}")
    set(Python3_VERSION_MINOR ${PYTHON_VERSION_MINOR})
  else()
    # Be backwards compatible.
    if(PYTHON_EXECUTABLE AND NOT Python3_EXECUTABLE)
      set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
    endif()
    if(${CMAKE_VERSION} VERSION_LESS "3.18.0")
      find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
    else()
      find_package(Python3 REQUIRED COMPONENTS Interpreter Development.Module)
    endif()
  endif()
  if(Python3_VERSION_MINOR LESS 3)
    # Python native namespace packages requires python >= 3.3
    message(SEND_ERROR "OPM requires python >= 3.3 but only version ${Python3_VERSION} was found")
  endif()
  # Compatibility settings for PythonInterp and PythonLibs
  # used e.g. in FindCwrap, pybind11
  set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
endif()

if(SIBLING_SEARCH AND NOT opm-common_DIR)
  # guess the sibling dir
  get_filename_component(_leaf_dir_name ${PROJECT_BINARY_DIR} NAME)
  get_filename_component(_parent_full_dir ${PROJECT_BINARY_DIR} DIRECTORY)
  get_filename_component(_parent_dir_name ${_parent_full_dir} NAME)
  #Try if <module-name>/<build-dir> is used
  get_filename_component(_modules_dir ${_parent_full_dir} DIRECTORY)
  if(IS_DIRECTORY ${_modules_dir}/opm-common/${_leaf_dir_name})
    set(opm-common_DIR ${_modules_dir}/opm-common/${_leaf_dir_name})
  else()
    string(REPLACE ${PROJECT_NAME} opm-common _opm_common_leaf ${_leaf_dir_name})
    if(NOT _leaf_dir_name STREQUAL _opm_common_leaf
        AND IS_DIRECTORY ${_parent_full_dir}/${_opm_common_leaf})
      # We are using build directories named <prefix><module-name><postfix>
      set(opm-common_DIR ${_parent_full_dir}/${_opm_common_leaf})
    elseif(IS_DIRECTORY ${_parent_full_dir}/opm-common)
      # All modules are in a common build dir
      set(opm-common_DIR "${_parent_full_dir}/opm-common")
    endif()
  endif()
endif()
if(opm-common_DIR AND NOT IS_DIRECTORY ${opm-common_DIR})
  message(WARNING "Value ${opm-common_DIR} passed to variable"
    " opm-common_DIR is not a directory")
endif()

find_package(opm-common REQUIRED)

include(OpmInit)
OpmSetPolicies()

if(USE_MPI)
  set(HDF5_PREFER_PARALLEL TRUE)
endif()

# not the same location as most of the other projects? this hook overrides
macro (dir_hook)
endmacro (dir_hook)

# project information is in dune.module. Read this file and set variables.
# we cannot generate dune.module since it is read by dunecontrol before
# the build starts, so it makes sense to keep the data there then.
include (OpmInit)

# Look for the opm-tests repository; if found the variable
# HAVE_OPM_TESTS will be set to true.
include(Findopm-tests)

# list of prerequisites for this particular project; this is in a
# separate file (in cmake/Modules sub-directory) because it is shared
# with the find module
include ("${project}-prereqs")

# Make sure we are using the same compiler underneath
# NVCC as for the rest. In the case that NVCC does not support
# that compiler it will error out. Unfortunately this will only
# work for CMake >= 3.8. We found no way to make FindCUDA.cmake error
# out. It seems to ignore CMAKE_NVCC_FLAGS and CMAKE. Additionally
# our way of specifying cuda source files never worked for CMake
# version < 3.8. Hence we deactivate cuda for these versions.
# We use "CMAKE_VERSION VERSION_GREATER 3.7.9" instead of
# CMAKE_VERSION VERSION_GREATER_EQUAL 3.8, because of backwards
# compatibility to cmake 3.6 and lower.
if(NOT CMAKE_DISABLE_FIND_PACKAGE_CUDA AND
    CMAKE_VERSION VERSION_GREATER 3.7.9)
  if(CMAKE_BUILD_TYPE)
    set(_flags_suffix "_${CMAKE_BUILD_TYPE}")
  endif()
  if(NOT DEFINED ENV{CUDAHOSTCXX} AND NOT DEFINED CMAKE_CUDA_HOST_COMPILER AND
      (NOT CMAKE_CUDA_FLAGS${_flags_suffix} OR NOT CMAKE_CUDA_FLAGS${_flags_suffix} MATCHES ".*-ccbin .*"))
    message(STATUS "Setting CUDA host compiler CMAKE_CUDA_HOST_COMPILER to ${CMAKE_CXX_COMPILER} to "
      "prevent incompatibilities. Note that this might report that there "
      "is not CUDA compiler if your system's CUDA compiler does not support "
      "${CMAKE_CXX_COMPILER}.")
    # check_language does not seem to care about ${CMAKE_CUDA_FLAGS} or $(CUDA_NVCC_FLAGS}.
    # Hence we set CMAKE_CUDA_HOST_COMPILER to our C++ compiler.
    # In check_language(CUDA) we will get an error if we in addition put
    # "-ccbin ${CMAKE_CXX_COMPILER}" into CMAKE_CUDA_FLAGS. It results
    # in "${NVCC} -ccbin=${CMAKE_CXX_COMPILER}   -ccbin ${CMAKE_CXX_COMPILER}"
    # which causes nvcc to abort
    set(CMAKE_CUDA_HOST_COMPILER ${CMAKE_CXX_COMPILER})
    set(ENV{CUDAHOSTCXX} ${CMAKE_CUDA_HOST_COMPILER}) # The only thing honored by check_language(CUDA)!
  endif()
  include(CheckLanguage)
  check_language(CUDA)
  if(CMAKE_CUDA_COMPILER)
    # OPTIONAL is ignored. Hence the magic above to check whether enabling CUDA works
    enable_language(CUDA OPTIONAL)
    # While the documentation says that it is deprecated, FindCUDA seems the
    # only easy way to determine the cublas and cusparse libraries.
    # Hence we call it unconditionally
    # The WellContributions kernel uses __shfl_down_sync, which was introduced in CUDA 9.0
    find_package(CUDA)
  endif()
  if(CUDA_FOUND AND CUDA_VERSION VERSION_LESS "9.0")
    set(CUDA_FOUND OFF)
    message(WARNING "Deactivating CUDA as we require version 9.0 or newer."
      " Found only CUDA version ${CUDA_VERSION}.")
  endif()
endif()

if(CUDA_FOUND)
  set(HAVE_CUDA 1)
  set(COMPILE_BDA_BRIDGE 1)
  include_directories(${CUDA_INCLUDE_DIRS})
endif()

find_package(OpenCL)

if(OpenCL_FOUND)
  # the current OpenCL implementation relies on cl2.hpp, not cl.hpp
  # make sure it is available, otherwise disable OpenCL
  find_file(CL2_HPP CL/cl2.hpp HINTS ${OpenCL_INCLUDE_DIRS})
  if(CL2_HPP)
    set(HAVE_OPENCL 1)
    set(COMPILE_BDA_BRIDGE 1)
    include_directories(${OpenCL_INCLUDE_DIRS})
    find_file(OPENCL_HPP CL/opencl.hpp HINTS ${OpenCL_INCLUDE_DIRS})
    if(OPENCL_HPP)
      set(HAVE_OPENCL_HPP 1)
    endif()
  else()
    message(WARNING " OpenCL was found, but this version of opm-simulators relies on CL/cl2.hpp, which implements OpenCL 1.0, 1.1 and 1.2.\n Deactivating OpenCL")
    set(OpenCL_FOUND OFF)
    set(OPENCL_FOUND OFF)
  endif()
  if(USE_CHOW_PATEL_ILU)
    add_compile_options(-DCHOW_PATEL=1)
    if(USE_CHOW_PATEL_ILU_GPU)
      add_compile_options(-DCHOW_PATEL_GPU=1)
      if(USE_CHOW_PATEL_ILU_GPU_PARALLEL)
        add_compile_options(-DCHOW_PATEL_GPU_PARALLEL=1)
      else()
        add_compile_options(-DCHOW_PATEL_GPU_PARALLEL=0)
      endif()
    else()
      add_compile_options(-DCHOW_PATEL_GPU=0)
      add_compile_options(-DCHOW_PATEL_GPU_PARALLEL=0)
    endif()
  endif()
else()
  if(USE_CHOW_PATEL_ILU)
    message(FATAL_ERROR " CHOW_PATEL_ILU only works for openclSolver, but OpenCL was not found")
  endif()
endif()

find_package(amgcl)
if(amgcl_FOUND)
  set(HAVE_AMGCL 1)
  set(COMPILE_BDA_BRIDGE 1)
  # Linking to target angcl::amgcl drags in OpenMP and -fopenmp as a compile
  # flag. With that nvcc fails as it does not that flag.
  # Hence we set AMGCL_INCLUDE_DIRS.
  get_property(AMGCL_INCLUDE_DIRS TARGET amgcl::amgcl PROPERTY INTERFACE_INCLUDE_DIRECTORIES)
  include_directories(SYSTEM ${AMGCL_INCLUDE_DIRS})
endif()

if(OpenCL_FOUND)
  find_package(VexCL)
  if(VexCL_FOUND)
    set(HAVE_VEXCL 1)
    set(COMPILE_BDA_BRIDGE 1)
    # generator expressions in vexcl do not seem to work and therefore
    # we cannot use the imported target. Hence we exract the needed info
    # from the targets
    get_property(VEXCL_INCLUDE_DIRS TARGET VexCL::Common PROPERTY INTERFACE_INCLUDE_DIRECTORIES)
    get_property(VEXCL_LINK_LIBRARIES TARGET VexCL::Common PROPERTY INTERFACE_LINK_LIBRARIES)
    get_property(VEXCL_COMPILE_DEFINITIONS TARGET VexCL::OpenCL PROPERTY INTERFACE_COMPILE_DEFINITIONS)
    set(VEXCL_LINK_LIBRARIES "${VEXCL_LINK_LIBRARIES};OpenCL::OpenCL")
    add_library(OPM::VexCL::OpenCL INTERFACE IMPORTED)
    set_target_properties(OPM::VexCL::OpenCL PROPERTIES
      INTERFACE_COMPILE_DEFINITIONS "${VEXCL_COMPILE_DEFINITIONS}"
      INTERFACE_LINK_LIBRARIES "${VEXCL_LINK_LIBRARIES}")
    target_include_directories(OPM::VexCL::OpenCL SYSTEM INTERFACE "${VEXCL_INCLUDE_DIRS}")
  endif()
endif()


macro (config_hook)
  opm_need_version_of ("dune-common")
  opm_need_version_of ("dune-istl")
  if(dune-fem_FOUND)
      opm_need_version_of ("dune-fem")
  endif()
  opm_need_version_of ("opm-models")

  if(NOT fmt_FOUND)
    add_definitions(-DFMT_HEADER_ONLY)
    list(APPEND EXTRA_INCLUDES SYSTEM ${PROJECT_SOURCE_DIR}/external/fmtlib/include)
  endif()
  include_directories(${EXTRA_INCLUDES})

  include(UseDamaris)
endmacro (config_hook)

macro (prereqs_hook)
endmacro (prereqs_hook)

macro (sources_hook)
  if(OPENCL_FOUND)
    include(opencl-source-provider)
    list(APPEND opm-simulators_SOURCES ${PROJECT_BINARY_DIR}/clSources.cpp)
  endif()
endmacro (sources_hook)

macro (fortran_hook)
endmacro (fortran_hook)

macro (files_hook)
  if(hip_FOUND)
    get_filename_component(CXX_COMPILER ${CMAKE_CXX_COMPILER} NAME)
    if(hip_VERSION VERSION_LESS "5.3")
      if(ROCALUTION_FOUND AND NOT CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        message(WARNING " Cannot use hipcc/clang for rocalution with rocm < 5.3\n Disabling rocalutionSolver")

=== debian/changelog ===
opm-simulators (2023.04+ds-1) unstable; urgency=medium

  * New upstream release candidate 2023.04
  * d/control: New dependency on libhdf5-mpi-dev
  * d/control: Use standards version 4.6.2
  * Added missing include of cstdint needed by GCC-13
      (Closes: #1037811)
  * d/control: Added missing build dependency on bc.
      (Closes: #1038600)
  * Fixed spelling: achive -> achieve.

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 16 Jul 2023 17:12:42 +0200

opm-simulators (2022.10+ds-3) unstable; urgency=medium

  * d/control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 23 Mar 2023 08:35:44 +0100

=== debian/control ===
Source: opm-simulators
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt, dh-python, bc,
               libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
               zlib1g-dev, gfortran, pkg-config, lsb-release, libtool, doxygen,
               texlive-latex-extra, texlive-latex-recommended, ghostscript,
               libopm-grid-dev (>= 2023.04), libopm-models-dev (>= 2023.04),
	       mpi-default-dev, mpi-default-bin, python3-dev, libpython3-dev,
	       python3-distutils, pybind11-dev, libhdf5-mpi-dev
Standards-Version: 4.6.2
Section: libs
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-simulators
Vcs-Git: https://salsa.debian.org/science-team/opm-simulators.git
Rules-Requires-Root: no

Package: libopm-simulators-dev
Section: libdevel
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
Multi-Arch: same
Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.04),
         libopm-models-dev (>= 2023.04), libboost-date-time-dev
Replaces: libopm-simulators1-dev
Suggests: libopm-simulators-doc
Description: Parallel porous media / reservoir simulators -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-simulators provides a research (ebos) and a production (flow) fully
 implicit black-oil simulators, supporting one to three phases and
 supporting solvent and polymer options. It uses cell centered finite
 volume schemes with two point flux approximation and automatic
 differentiation for the discretization and uses state of the art linear
 and nonlinear solvers. It supports standard and multi segment well
 models and reading and writing file in Eclipse format, a very common
 format used in the oil reservoir simulation community.
 .
 Package provides the development files (headers and shared library links).

Package: libopm-simulators
Pre-Depends: ${misc:Pre-Depends}
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${opm:shared-library}
Replaces: libopm-simulators1
Description: Open porous media / reservoir simulators -- library
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-simulators provides a research (ebos) and a production (flow) fully
 implicit black-oil simulators, supporting one to three phases and
 supporting solvent and polymer options. It uses cell centered finite
 volume schemes with two point flux approximation and automatic
 differentiation for the discretization and uses state of the art linear
 and nonlinear solvers. It supports standard and multi segment well
 models and reading and writing file in Eclipse format, a very common
 format used in the oil reservoir simulation community.
 .
 Package provides the library used by the research (ebos) and production
 (flow) fully implicit  black-oil simulators.

Package: libopm-simulators-bin
Section: science
Pre-Depends: ${misc:Pre-Depends}
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopm-simulators1-bin
Recommends: libopm-grid-bin, libopm-common-bin
Description: Parallel porous media / reservoir simulators -- applications
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-simulators provides a research (ebos) and a production (flow) fully
 implicit black-oil simulators, supporting one to three phases and
 supporting solvent and polymer options. It uses cell centered finite
 volume schemes with two point flux approximation and automatic
 differentiation for the discretization and uses state of the art linear
 and nonlinear solvers. It supports standard and multi segment well
 models and reading and writing file in Eclipse format, a defacto
 industry standard in the oil reservoir simulation community.
 .
 Package provides the simulation programs.

Package: libopm-simulators-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: libopm-simulators-doc
Description: Open porous media / reservoir simulators -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-simulators provides a research (ebos) and a production (flow) fully
 implicit black-oil simulators, supporting one to three phases and
 supporting solvent and polymer options. It uses cell centered finite
 volume schemes with two point flux approximation and automatic
 differentiation for the discretization and uses state of the art linear
 and nonlinear solvers. It supports standard and multi segment well
 models and reading and writing file in Eclipse format, a very common
 format used in the oil reservoir simulation community.
 .
 Package provides documentation of the source code of the simulators.

Package: python3-opm-simulators
Section: python
Pre-Depends: ${misc:Pre-Depends}
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
#Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libopm-simulators
Recommends: python3-opm-common
Description: Python wrappers for the Open porous media / reservoir simulators
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-simulators provides a research (ebos) and a production (flow) fully
 implicit black-oil simulators, supporting one to three phases and
 supporting solvent and polymer options. It uses cell centered finite
 volume schemes with two point flux approximation and automatic
 differentiation for the discretization and uses state of the art linear
 and nonlinear solvers. It supports standard and multi segment well
 models and reading and writing file in Eclipse format, a very common
 format used in the oil reservoir simulation community.
 .
 Package provides Python wrappers for the simulators.

## opm-simulators 2024.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,9 @@
 
 # Mandatory call to project
 
+cmake_minimum_required (VERSION 3.10)
+
 project(opm-simulators C CXX)
-
-cmake_minimum_required (VERSION 3.10)
 
 
 option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
@@ -31,6 +31,8 @@
 option(USE_CHOW_PATEL_ILU_GPU_PARALLEL "Try to use more parallelism on the GPU during the iterative ILU decomposition? Requires USE_CHOW_PATEL_ILU_GPU" OFF)
 option(BUILD_FLOW_ALU_GRID "Build flow blackoil with alu grid" OFF)
 option(USE_DAMARIS_LIB "Use the Damaris library for asynchronous I/O?" OFF)
+option(USE_BDA_BRIDGE "Enable the BDA bridge (GPU/AMGCL solvers)" ON)
+option(USE_TRACY_PROFILER "Enable tracy profiling" OFF)
 
 # The following was copied from CMakeLists.txt in opm-common.
 # TODO: factor out the common parts in opm-common and opm-simulator as a cmake module
@@ -100,6 +102,10 @@
 
 if(USE_MPI)
   set(HDF5_PREFER_PARALLEL TRUE)
+endif()
+
+if(USE_BDA_BRIDGE)
+  set(COMPILE_BDA_BRIDGE 1)
 endif()
 
 # not the same location as most of the other projects? this hook overrides
@@ -170,7 +176,6 @@
 
 if(CUDA_FOUND)
   set(HAVE_CUDA 1)
-  set(COMPILE_BDA_BRIDGE 1)
   include_directories(${CUDA_INCLUDE_DIRS})
 endif()
 
@@ -182,7 +187,6 @@
   find_file(CL2_HPP CL/cl2.hpp HINTS ${OpenCL_INCLUDE_DIRS})
   if(CL2_HPP)
     set(HAVE_OPENCL 1)
-    set(COMPILE_BDA_BRIDGE 1)
     include_directories(${OpenCL_INCLUDE_DIRS})
     find_file(OPENCL_HPP CL/opencl.hpp HINTS ${OpenCL_INCLUDE_DIRS})
     if(OPENCL_HPP)
@@ -216,7 +220,6 @@
 find_package(amgcl)
 if(amgcl_FOUND)
   set(HAVE_AMGCL 1)
-  set(COMPILE_BDA_BRIDGE 1)
   # Linking to target angcl::amgcl drags in OpenMP and -fopenmp as a compile
   # flag. With that nvcc fails as it does not that flag.
   # Hence we set AMGCL_INCLUDE_DIRS.
@@ -228,7 +231,6 @@
   find_package(VexCL)
   if(VexCL_FOUND)
     set(HAVE_VEXCL 1)
-    set(COMPILE_BDA_BRIDGE 1)
     # generator expressions in vexcl do not seem to work and therefore
     # we cannot use the imported target. Hence we exract the needed info
     # from the targets
@@ -254,8 +256,13 @@
   opm_need_version_of ("opm-models")
 
   if(NOT fmt_FOUND)
-    add_definitions(-DFMT_HEADER_ONLY)
-    list(APPEND EXTRA_INCLUDES SYSTEM ${PROJECT_SOURCE_DIR}/external/fmtlib/include)
+    include(DownloadFmt)
+  endif()
+  if(USE_TRACY_PROFILER AND Tracy_FOUND)
+    set(USE_TRACY 1)
+    list(APPEND opm-simulators_LIBRARIES Tracy::TracyClient)
+  else()
+    set(USE_TRACY)
   endif()
   include_directories(${EXTRA_INCLUDES})
 
@@ -279,5 +286,3 @@
   if(hip_FOUND)
     get_filename_component(CXX_COMPILER ${CMAKE_CXX_COMPILER} NAME)
     if(hip_VERSION VERSION_LESS "5.3")
-      if(ROCALUTION_FOUND AND NOT CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
-        message(WARNING " Cannot use hipcc/clang for rocalution with rocm < 5.3\n Disabling rocalutionSolver")

=== python/simulators/CMakeLists.txt ===
set(PYTHON_OPM_SIMULATORS_PACKAGE_PATH ${PROJECT_BINARY_DIR}/python/opm/simulators)

# Set the path to the input docstrings.json file and the output .hpp file
set(PYTHON_DOCSTRINGS_FILE "${PROJECT_SOURCE_DIR}/python/docstrings.json")
set(PYTHON_DOCSTRINGS_GENERATED_HPP "${PROJECT_BINARY_DIR}/python/PyBlackOilSimulatorDoc.hpp")
#  Note: If the new find_package(Python3) is used in the top level CMakeLists.txt, the variable
#    ${PYTHON_EXECUTABLE} is set there to ${Python3_EXECUTABLE}
#
# Command to run the Python script
add_custom_command(
    OUTPUT ${PYTHON_DOCSTRINGS_GENERATED_HPP}
    COMMAND ${CMAKE_COMMAND} -E env PYTHONPATH=${CMAKE_SOURCE_DIR}
            ${PYTHON_EXECUTABLE} ${PROJECT_SOURCE_DIR}/python/generate_docstring_hpp.py
            ${PYTHON_DOCSTRINGS_FILE} ${PYTHON_DOCSTRINGS_GENERATED_HPP}
    DEPENDS ${PYTHON_DOCSTRINGS_FILE}
    COMMENT "Generating PyBlackOilSimulatorDoc.hpp from JSON file"
)
# NOTE: The variable ${PYBIND11_SYSTEM} is set in python/CMakeLists.txt
#   to the value "SYSTEM" or unset, depending on the current version of Pybind11.
#   The value is then forwarded to target_include_directories(), see
#
#  https://cmake.org/cmake/help/latest/command/target_include_directories.html
#  https://pybind11.readthedocs.io/en/stable/compiling.html
#
pybind11_add_module(simulators ${PYBIND11_SYSTEM}
  $<TARGET_OBJECTS:moduleVersion>
  Pybind11Exporter.cpp
  PyBlackOilSimulator.cpp
  ${PYTHON_DOCSTRINGS_GENERATED_HPP}  # Include the generated .hpp as a source file
  )

set_target_properties( simulators PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PYTHON_OPM_SIMULATORS_PACKAGE_PATH} )

target_link_libraries( simulators PRIVATE opmsimulators )
# Add the binary (build) directory to the include directories for the target

  # Add the build directory where the generated hpp file will be
#  to the include directories for the target
target_include_directories(simulators PRIVATE ${PROJECT_BINARY_DIR}/python)

execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "
import site, sys
try:
    sys.stdout.write(site.getsitepackages()[-1])
except e:
    sys.stdout.write('')" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES_PATH)

if (PYTHON_SITE_PACKAGES_PATH MATCHES ".*/dist-packages/?" AND
      CMAKE_INSTALL_PREFIX MATCHES "^/usr.*")
  # dist-packages is only used if we install below /usr and python's site packages
  # path matches dist-packages
  set(PYTHON_PACKAGE_PATH "dist-packages")
else()
  set(PYTHON_PACKAGE_PATH "site-packages")
endif()

if(OPM_ENABLE_PYTHON_TESTS)
  set(PYTHON_PATH ${PROJECT_BINARY_DIR}/python:${opm-common_DIR}/python:$ENV{PYTHONPATH})
  # NOTE: See comment in test_basic.py for the reason why we are
  #   splitting the python tests into multiple add_test() tests instead
  #   of having a single "python -m unittest" test call that will run all
  #   the tests in the "test" sub directory.
  foreach(case_name IN ITEMS basic fluidstate_variables primary_variables schedule throw)
    add_test(NAME python_${case_name}
        WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/python
        COMMAND ${CMAKE_COMMAND}
        -E env PYTHONPATH=${PYTHON_PATH} ${PYTHON_EXECUTABLE}
        -m unittest test/test_${case_name}.py)
  endforeach()
endif()

find_file(PYTHON_INSTALL_PY install.py
  PATHS ${opm-common_DIR} ${opm-common_PYTHON_COMMON_DIR}
  PATH_SUFFIXES python NO_DEFAULT_PATH REQUIRED)

# NOTE: instead of using file( COPY ...) which copies the files at configure time (not at build time)
#  we should add copying of the files at build time such that running "make" or "make all" will
#  update the files if they have been modified. We use the install.py script in opm-common, see also
#  CMakeLists.txt in opm-common
add_custom_target(copy_python ALL
    COMMAND ${PYTHON_EXECUTABLE} "${PYTHON_INSTALL_PY}"
        ${PROJECT_SOURCE_DIR}/python/opm ${PROJECT_BINARY_DIR}/python 0
    COMMAND ${PYTHON_EXECUTABLE} "${PYTHON_INSTALL_PY}"
        ${PROJECT_SOURCE_DIR}/python/test ${PROJECT_BINARY_DIR}/python 0
    COMMAND ${PYTHON_EXECUTABLE} "${PYTHON_INSTALL_PY}"
        ${PROJECT_SOURCE_DIR}/python/test_data ${PROJECT_BINARY_DIR}/python 0
)

# Since the installation of Python code is nonstandard it is protected by an
# extra cmake switch, OPM_INSTALL_PYTHON. If you prefer you can still invoke
# setup.py install manually - optionally with the generated script
# setup-install.sh - and completely bypass cmake in the installation phase.
if (OPM_INSTALL_PYTHON)
  include(PyInstallPrefix)  # from opm-common
  install(TARGETS simulators DESTINATION ${DEST_PREFIX}${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL_PREFIX}/opm)
  install(
    CODE "execute_process(
      COMMAND ${PYTHON_EXECUTABLE}
              ${PYTHON_INSTALL_PY}
              ${PROJECT_BINARY_DIR}/python/opm
              ${DEST_PREFIX}${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL_PREFIX} 1)")
endif()

=== debian/changelog ===
opm-simulators (2024.04+ds-3) unstable; urgency=medium

  * add missing include to fix build with gcc-14
    (Closes: #1075350)

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 17 Jul 2024 14:02:06 +0200

opm-simulators (2024.04+ds-2) unstable; urgency=medium

  * d/control: depend on OPM >= 2024.04

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 13 May 2024 13:13:09 +0200

opm-simulators (2024.04+ds-1) unstable; urgency=medium

  * New upstream release 2024.04.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 21:28:23 +0200

opm-simulators (2024.04~rc2+ds-2) unstable; urgency=medium

  * Prevent pybind11 from stripping debug symbols
  * Depend on OPM >= 2024.04~
  * New upstream release candidate 2024.04~rc2.
  * Build-Depends: pkg-config => pkgconf
  * d/rules: Require 7 GB per process building.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 07 May 2024 22:13:47 +0200

opm-simulators (2024.04~rc2+ds-1) experimental; urgency=medium

  * Prevent pybind11 from stripping debug symbols
  * New upstream release candidate 2024.04~rc2.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 06 May 2024 18:02:59 +0200

opm-simulators (2024.04~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04~rc1
  * Depend on OPM >= 2024.04~

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 19 Apr 2024 20:21:18 +0200

opm-simulators (2023.10+ds-3) unstable; urgency=medium

  * Fixed failing test test_LogOutputHelper on ppc64el

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 01 Apr 2024 19:47:56 +0200

opm-simulators (2023.10+ds-2) unstable; urgency=medium

  * Team upload.
  * Add support for loong64
    Closes: #1059848
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 17:11:46 +0100

opm-simulators (2023.10+ds-1) experimental; urgency=medium

  * New upstream release 2023.10
  * d/copyright: Update copyright.
  * d/control: Depend on final OPM 2023.10

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 17:14:33 +0100

opm-simulators (2023.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2023.10-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 30 Oct 2023 20:50:37 +0100

opm-simulators (2023.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2023.10-rc1
  * d/watch; Also allow downloading upstream release candidates

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 17 Oct 2023 21:38:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,26 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt, dh-python, bc,
+Build-Depends: debhelper-compat (= 13), quilt, dh-sequence-python3, bc,
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
-               zlib1g-dev, gfortran, pkg-config, lsb-release, libtool, doxygen,
+               zlib1g-dev, gfortran, pkgconf, lsb-release, libtool, doxygen,
                texlive-latex-extra, texlive-latex-recommended, ghostscript,
-               libopm-grid-dev (>= 2023.04), libopm-models-dev (>= 2023.04),
+               libopm-grid-dev (>= 2024.04), libopm-models-dev (>= 2024.04),
 	       mpi-default-dev, mpi-default-bin, python3-dev, libpython3-dev,
-	       python3-distutils, pybind11-dev, libhdf5-mpi-dev
+	       pybind11-dev, libhdf5-mpi-dev
 Standards-Version: 4.6.2
 Section: libs
-Homepage: http://opm-project.org
+Homepage: https://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-simulators
 Vcs-Git: https://salsa.debian.org/science-team/opm-simulators.git
 Rules-Requires-Root: no
 
 Package: libopm-simulators-dev
 Section: libdevel
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.04),
-         libopm-models-dev (>= 2023.04), libboost-date-time-dev
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.04),
+         libopm-models-dev (>= 2024.04), libboost-date-time-dev
 Replaces: libopm-simulators1-dev
 Suggests: libopm-simulators-doc
 Description: Parallel porous media / reservoir simulators -- development files
@@ -42,7 +42,7 @@
 
 Package: libopm-simulators
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Provides: ${opm:shared-library}
@@ -67,7 +67,7 @@
 Package: libopm-simulators-bin
 Section: science
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-simulators1-bin
@@ -113,7 +113,7 @@
 Package: python3-opm-simulators
 Section: python
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 #Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libopm-simulators
 Recommends: python3-opm-common

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS+=optimize=-lto

include /usr/share/dpkg/architecture.mk

OPM_DEBIAN_CMAKE_FLAGS = -DOPM_ENABLE_PYTHON=1 -DOPM_INSTALL_PYTHON=1 -DPYTHON_EXECUTABLE=/usr/bin/python3 -DOPM_INSTALL_COMPILED_PYTHON=OFF  -DOPM_ENABLE_PYTHON_TESTS=0 -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON


OPM_DEBIAN_MK ?= /usr/share/opm/opm-debian.mk
ifneq ("$(wildcard $(OPM_DEBIAN_MK))","")
   include $(OPM_DEBIAN_MK)
endif
OPM_LIB_DEBIAN_MK ?= /usr/share/opm/opm-lib-debian.mk
ifneq ("$(wildcard $(OPM_LIB_DEBIAN_MK))","")
    include $(OPM_LIB_DEBIAN_MK) # for makeshlibs
endif

# require 7GB of RAM per make process. Yes, peak seems to be above 6 GB currently
need_gb_ram_per_process=7
free_ram=$(shell free -g | sed -n 2p| sed "s/ \+/ /g"| cut -d " " -f 2)
max_procs=$(shell echo "$(free_ram)/$(need_gb_ram_per_process)" | bc)
parallel_procs=$(shell if test "$(max_procs)" -lt "1"; then echo 1; else echo "$(max_procs)"; fi)

%:
	echo "ram in gb: $(free_ram), needed ram per thread: $(need_gb_ram_per_process), threads: $(parallel_procs)"
	dh $@ --max-parallel=$(parallel_procs)

## opm-simulators 2024.10%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 set( USE_OPENMP_DEFAULT OFF ) # Use of OpenMP is considered experimental
 option(BUILD_FLOW "Build the production oriented flow simulator?" ON)
 option(BUILD_FLOW_VARIANTS "Build the variants for flow by default?" OFF)
+option(BUILD_FLOW_FLOAT_VARIANTS "Build the variants for flow using float?" OFF)
 option(BUILD_FLOW_POLY_GRID "Build flow blackoil with polyhedral grid" OFF)
 option(OPM_ENABLE_PYTHON "Enable python bindings?" OFF)
 option(OPM_ENABLE_PYTHON_TESTS "Enable tests for the python bindings?" ON)
@@ -33,6 +34,42 @@
 option(USE_DAMARIS_LIB "Use the Damaris library for asynchronous I/O?" OFF)
 option(USE_BDA_BRIDGE "Enable the BDA bridge (GPU/AMGCL solvers)" ON)
 option(USE_TRACY_PROFILER "Enable tracy profiling" OFF)
+option(CONVERT_CUDA_TO_HIP "Convert CUDA code to HIP (to run on AMD cards)" OFF)
+set(OPM_COMPILE_COMPONENTS "2;3;4;5;6;7" CACHE STRING "The components to compile support for")
+
+# Ensure OPM_COMPILE_COMPONENTS is a list of at least one element
+if(OPM_COMPILE_COMPONENTS STREQUAL "")
+  message(FATAL_ERROR "OPM_COMPILE_COMPONENTS must contain at least one component.")
+endif()
+# Check that OPM_COMPILE_COMPONENTS is a subset of 2,3,4,5,6,7
+set(valid_components "2;3;4;5;6;7")
+foreach(component IN LISTS OPM_COMPILE_COMPONENTS)
+  list(FIND valid_components ${component} index)
+  if(index EQUAL -1)
+    message(FATAL_ERROR "Invalid component ${component} in OPM_COMPILE_COMPONENTS. Valid components are: ${valid_components}")
+  endif()
+endforeach()
+# Check for duplicates in OPM_COMPILE_COMPONENTS
+list(REMOVE_DUPLICATES OPM_COMPILE_COMPONENTS)
+# Make a string we can use in the code
+# this will be used in a template argument pack.
+string(REPLACE ";" "," OPM_COMPILE_COMPONENTS_TEMPLATE_LIST "${OPM_COMPILE_COMPONENTS}")
+
+
+# HIP requires cmake version 3.21
+if (CONVERT_CUDA_TO_HIP AND CMAKE_VERSION VERSION_GREATER_EQUAL "3.21")
+  enable_language(HIP)
+  message("CUDA code will be hipified")
+  set(HAVE_CUDA 1) # we still need this defined so that the preprocessor does not remove the code
+  set(CUDA_FOUND ON)
+  set(USE_HIP 1)
+  find_package(hip REQUIRED)
+  find_package(hipsparse REQUIRED)
+  find_package(hipblas REQUIRED)
+  link_libraries(roc::hipblas roc::hipsparse)
+elseif(CONVERT_CUDA_TO_HIP)
+  message("To generate HIP code for AMD GPUs run CMake with version >= 3.21")
+endif()
 
 # The following was copied from CMakeLists.txt in opm-common.
 # TODO: factor out the common parts in opm-common and opm-simulator as a cmake module
@@ -166,6 +203,7 @@
     # Hence we call it unconditionally
     # The WellContributions kernel uses __shfl_down_sync, which was introduced in CUDA 9.0
     find_package(CUDA)
+    set(CUDA_FOUND ON)
   endif()
   if(CUDA_FOUND AND CUDA_VERSION VERSION_LESS "9.0")
     set(CUDA_FOUND OFF)
@@ -174,9 +212,13 @@
   endif()
 endif()
 
+find_package(CUDAToolkit)
 if(CUDA_FOUND)
   set(HAVE_CUDA 1)
-  include_directories(${CUDA_INCLUDE_DIRS})
+  if(NOT USE_HIP) # no need to include CUDA files if we use rocm stack
+    include_directories(${CUDA_INCLUDE_DIRS})
+    include_directories(${CUDAToolkit_INCLUDE_DIRS})
+  endif()
 endif()
 
 find_package(OpenCL)
@@ -231,58 +273,3 @@
   find_package(VexCL)
   if(VexCL_FOUND)
     set(HAVE_VEXCL 1)
-    # generator expressions in vexcl do not seem to work and therefore
-    # we cannot use the imported target. Hence we exract the needed info
-    # from the targets
-    get_property(VEXCL_INCLUDE_DIRS TARGET VexCL::Common PROPERTY INTERFACE_INCLUDE_DIRECTORIES)
-    get_property(VEXCL_LINK_LIBRARIES TARGET VexCL::Common PROPERTY INTERFACE_LINK_LIBRARIES)
-    get_property(VEXCL_COMPILE_DEFINITIONS TARGET VexCL::OpenCL PROPERTY INTERFACE_COMPILE_DEFINITIONS)
-    set(VEXCL_LINK_LIBRARIES "${VEXCL_LINK_LIBRARIES};OpenCL::OpenCL")
-    add_library(OPM::VexCL::OpenCL INTERFACE IMPORTED)
-    set_target_properties(OPM::VexCL::OpenCL PROPERTIES
-      INTERFACE_COMPILE_DEFINITIONS "${VEXCL_COMPILE_DEFINITIONS}"
-      INTERFACE_LINK_LIBRARIES "${VEXCL_LINK_LIBRARIES}")
-    target_include_directories(OPM::VexCL::OpenCL SYSTEM INTERFACE "${VEXCL_INCLUDE_DIRS}")
-  endif()
-endif()
-
-
-macro (config_hook)
-  opm_need_version_of ("dune-common")
-  opm_need_version_of ("dune-istl")
-  if(dune-fem_FOUND)
-      opm_need_version_of ("dune-fem")
-  endif()
-  opm_need_version_of ("opm-models")
-
-  if(NOT fmt_FOUND)
-    include(DownloadFmt)
-  endif()
-  if(USE_TRACY_PROFILER AND Tracy_FOUND)
-    set(USE_TRACY 1)
-    list(APPEND opm-simulators_LIBRARIES Tracy::TracyClient)
-  else()
-    set(USE_TRACY)
-  endif()
-  include_directories(${EXTRA_INCLUDES})
-
-  include(UseDamaris)
-endmacro (config_hook)
-
-macro (prereqs_hook)
-endmacro (prereqs_hook)
-
-macro (sources_hook)
-  if(OPENCL_FOUND)
-    include(opencl-source-provider)
-    list(APPEND opm-simulators_SOURCES ${PROJECT_BINARY_DIR}/clSources.cpp)
-  endif()
-endmacro (sources_hook)
-
-macro (fortran_hook)
-endmacro (fortran_hook)
-
-macro (files_hook)
-  if(hip_FOUND)
-    get_filename_component(CXX_COMPILER ${CMAKE_CXX_COMPILER} NAME)
-    if(hip_VERSION VERSION_LESS "5.3")

## opm-simulators 2024.10+ds

=== debian/changelog ===
opm-simulators (2024.10+ds-6) unstable; urgency=medium

  * d/Control: Bumped standard version to 4.7.2 (no change)
  * d/control: Fixed syntax error in license

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Apr 2025 17:57:40 +0200

opm-simulators (2024.10+ds-5) unstable; urgency=medium

  * Backported patches from upstream to support libfmt-dev >=11.1

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 14 Feb 2025 17:10:29 +0100

opm-simulators (2024.10+ds-4) unstable; urgency=medium

  * Add python3-opm-common as a dependency of libopm-simulators-dev
  * Force binary rebuild to fix failed builds for "python3.13 as default"
    transition because of messed build environmen (no change needed).
    (Closes: 1091426)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Jan 2025 17:15:22 +0100

opm-simulators (2024.10+ds-3) unstable; urgency=medium

  * d/patches: Install all needed headers.
  * d/copyright: Added paragraph with Boost Software License 1.0
  * d/libopm-simulators.lintian-overrides: Fix typo in pkg name.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 21 Nov 2024 16:53:28 +0100

opm-simulators (2024.10+ds-2) unstable; urgency=medium

  * d/patches: Use upper case for COMPONENTS of FindSuiteSparse

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 18 Nov 2024 23:46:21 +0100

opm-simulators (2024.10+ds-1) unstable; urgency=medium

  * New upstream version 2024.10+ds-1
  * d/control: Depend on OPM 2024.10
  * d/control: Bumped standards version to 4.7.0
  * Use chrpath to strip RPATH/RUNPATH from installed libs/executables.
  * Refreshed patches
  * d/patches: Prepare for upcoming DUNE 2.10 release
  * d/control: Reflect the merge of opm-models with opm-simulators
  * d/copyright: Update and corrected copyright.
  * d/patches: Backported copyright declaration fix from upstream.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 15 Nov 2024 15:22:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,38 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), quilt, dh-sequence-python3, bc,
+Build-Depends: debhelper-compat (= 13), quilt, dh-sequence-python3, bc, chrpath,
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                zlib1g-dev, gfortran, pkgconf, lsb-release, libtool, doxygen,
                texlive-latex-extra, texlive-latex-recommended, ghostscript,
-               libopm-grid-dev (>= 2024.04), libopm-models-dev (>= 2024.04),
+               libopm-grid-dev (>= 2024.10),
 	       mpi-default-dev, mpi-default-bin, python3-dev, libpython3-dev,
 	       pybind11-dev, libhdf5-mpi-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-simulators
 Vcs-Git: https://salsa.debian.org/science-team/opm-simulators.git
 Rules-Requires-Root: no
 
+Package: libopm-models-dev
+Architecture: all
+Section: oldlibs
+Depends: libopm-simulators-dev (>= 2024.10~),
+         ${misc:Depends}
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+
 Package: libopm-simulators-dev
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.04),
-         libopm-models-dev (>= 2024.04), libboost-date-time-dev
-Replaces: libopm-simulators1-dev
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.10),
+         libboost-date-time-dev, python3-opm-common
+Replaces: libopm-simulators1-dev,
+          libopm-models-dev (<< 2024.10~)
 Suggests: libopm-simulators-doc
+Breaks: libopm-models-dev (<< 2024.10~)
 Description: Parallel porous media / reservoir simulators -- development files
  The Open Porous Media (OPM) software suite provides libraries and
  tools for modeling and simulation of porous media processes, especially
@@ -88,12 +98,22 @@
  .
  Package provides the simulation programs.
 
+Package: libopm-models-doc
+Architecture: all
+Section: oldlibs
+Depends: libopm-simulators-doc (>= 2024.10~),
+         ${misc:Depends}
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+
 Package: libopm-simulators-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Provides: libopm-simulators-doc
+Breaks: libopm-models-doc (<< 2024.10~)
+Replaces: libopm-models-doc (<< 2024.10~)
 Description: Open porous media / reservoir simulators -- documentation
  The Open Porous Media (OPM) software suite provides libraries and
  tools for modeling and simulation of porous media processes, especially

## opm-simulators 2025.04~rc3+ds

=== debian/changelog ===
opm-simulators (2025.04~rc3+ds-2) experimental; urgency=medium

  * Prevent pybind11 from stripping-debug-symbols

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 29 Apr 2025 13:22:21 +0200

opm-simulators (2025.04~rc3+ds-1) experimental; urgency=medium

  * New upstream pre-release 2025.04~rc3

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 29 Apr 2025 10:48:33 +0200

opm-simulators (2025.04~rc2+ds-1) experimental; urgency=medium

  * New upstream pre-release 2025.04~rc2

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 16 Apr 2025 14:42:58 +0200

opm-simulators (2025.04~git20250402.2fa0ad149+ds-1~exp1) experimental; urgency=medium

  * Prelease reversion for upcomon 2025.04
  * Drop patches applied upstream
  * d/control: Depend on OPM 2025.04
  * d/control: Bumped standard version to 4.7.2 (no change)
  * d/control: Fixed formatting of license

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 03 Apr 2025 15:45:25 +0200

## opm-simulators 2025.04%2Bds

=== debian/changelog ===
opm-simulators (2025.04+ds-2) unstable; urgency=medium

  * Fix quadmath problems on ppc64el with IEEE long double (Closes: #1114005)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 18 Sep 2025 09:58:15 +0200

opm-simulators (2025.04+ds-1) unstable; urgency=medium

  * New upstream release version 2025.04
  * Drop patches applied upstream
  * d/control: Depend on OPM 2025.04
  * d/control: Bumped standard version to 4.7.2 (no change)
  * d/control: Fixed formatting of license
  * Prevent pybind11 from stripping-debug-symbols

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 11 Aug 2025 18:14:05 +0200
